Subject: bug#56290: Guix is at version 0, according to "guix --version"

From: Efraim Flashner <[email-masked]>
Date: Fri, 11 Nov 2022 16:29:03 +0200

I've hunted this down using 'guix time-machine' and it looks like the
first commit where the version string returns 0 is
076e825dc5d585943ce820a279fffe4af09757fb. On that
commit 'guix time-machine --commit=076e... -- --version' returns 0 and
on the commit before that 5996aab354831d942b10253bc70217a4f2e6a247 we
get the commit as the version string.

Looking at the commits I'm guessing that the 076e825d commit interacts
with the af57d1bf commit 2 before it, and whether the guile is guile-3.0
or guile-final or guile-3.0-latest.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted